<?php  /* Don't put anything before this line! */ 
define('OFFSET_PATH', true);
require_once("sortable.php");


if (zp_loggedin()) { /* Display the admin pages. Do action handling first. */
  
  $gallery = new Gallery();
  if (isset($_GET['prune'])) {
    $gallery->garbageCollect(true, true);
    header("Location: " . FULLWEBPATH . "/zen/admin.php");
  } else {
    $gallery->garbageCollect();
  }
  
  if (isset($_GET['action'])) {
    $action = $_GET['action'];

/** SAVE **********************************************************************/
/*****************************************************************************/
    if ($action == "save") {
/** SAVE A SINGLE ALBUM *******************************************************/
      if ($_POST['album'] && $_POST['totalimages']) {
        $folder = strip($_POST['album']);
        $album = new Album($gallery, $folder);
        $album->setTitle(strip($_POST['albumtitle']));
        $album->setDesc(strip($_POST['albumdesc']));
        // FIXME: Date entry isn't ready yet...
        // $album->setDate(strip($_POST["albumdate"]));
        $album->setPlace(strip($_POST['albumplace']));
        $album->setAlbumThumb(strip($_POST['thumb']));
        $album->setSortType(strip($_POST['sortby']));
        
        for ($i = 0; $i < $_POST['totalimages']; $i++) {
          $filename = strip($_POST["$i-filename"]);
          
          // The file might no longer exist
          $image = new Image($album, $filename);
          if ($image->exists) {
            $image->setTitle(strip($_POST["$i-title"]));
            $image->setDesc(strip($_POST["$i-desc"]));          
          }
          // TODO: delete it from the db? This should happen somewhere..
          // (Probably in the Image object upon attempted instantiation of a non-existent image)
        }
        
/** SAVE MULTIPLE ALBUMS ******************************************************/
      } else if ($_POST['totalalbums']) {
        
        for ($i = 0; $i < $_POST['totalalbums']; $i++) {
          $folder = strip($_POST["$i-folder"]);
          $album = new Album($gallery, $folder);
          $album->setTitle(strip($_POST["$i-title"]));
          $album->setDesc(strip($_POST["$i-desc"]));
          // FIXME: Date entry isn't ready yet...
          // $album->setDate(strip($_POST["$i-date"]));
          $album->setPlace(strip($_POST["$i-place"]));
        }
      }
      header("Location: " . FULLWEBPATH . "/zen/admin.php?page=edit");
      exit();

/** DELETION ******************************************************************/
/*****************************************************************************/
    } else if ($action == "deletealbum") {
      if ($_GET['album']) {
        $folder = strip($_GET['album']);
        $album = new Album($gallery, $folder);
        $album->deleteAlbum();
      }
      header("Location: " . FULLWEBPATH . "/zen/admin.php?page=edit&ndeleted=1");
      exit();
      
    } else if ($action == "deleteimage") {
      if ($_GET['album'] && $_GET['image']) {
        $folder = strip($_GET['album']);
        $file = strip($_GET['image']);
        $album = new Album($gallery, $folder);
        $image = new Image($album, $file);
        $image->deleteImage();
      }
      header("Location: ". FULLWEBPATH . "/zen/admin.php?page=edit&album=" . urlencode($folder) . "&ndeleted=1");
      exit();
      
/** UPLOAD IMAGES *************************************************************/
/*****************************************************************************/
    } else if ($action == "upload") {
      
      // Check for files.
      $files_empty = true;
      if (isset($_FILES['files']))
        foreach($_FILES['files']['name'] as $name) { if (!empty($name)) $files_empty = false; }
      
      // Make sure the folder exists. If not, create it.
      if (isset($_POST['processed']) 
          && !empty($_POST['folder']) 
          && !$files_empty) {
        
        $folder = strip($_POST['folder']);
        $uploaddir = SERVERPATH . '/albums/' . $folder;
        if (!is_dir($uploaddir)) {
          mkdir ($uploaddir, 0777);
        }
        @chmod($uploaddir,0777);
        
        $error = false;
        foreach ($_FILES['files']['error'] as $key => $error) {
          if ($_FILES['files']['name'][$key] == "") continue;
          if ($error == UPLOAD_ERR_OK) {
            $tmp_name = $_FILES['files']['tmp_name'][$key];
            $name = $_FILES['files']['name'][$key];
            if (is_image($name)) {
              $uploadfile = $uploaddir . '/' . $name;
              move_uploaded_file($tmp_name, $uploadfile);
              @chmod($uploadfile, 0777);
            } else if (is_zip($name)) {
              unzip($tmp_name, $uploaddir);
            }
          }
        }
        
        $album = new Album($gallery, $folder);
        $title = strip($_POST['albumtitle']);
        if (!empty($title)) {
          $album->setTitle($title);
        }
        
        header("Location: " . FULLWEBPATH . "/zen/admin.php?page=edit&album=$folder");
        exit();
        
      } else {
        // Handle the error and return to the upload page.
        $page = "upload";
        $error = true;
        if ($files_empty) {
          $errormsg = "Vous devez uploader au moins un fichier.";
        } else if (empty($_POST['albumtitle'])) {
          $errormsg = "Vous devez donner un titre au nouvel album.";
        } else if (empty($_POST['folder'])) {
          $errormsg = "Vous devez donner un nom au r&eacute;peroir du nouvel album.";
        } else if (empty($_POST['processed'])) {
          $errormsg = "Vous devez avoir d&eacute;passer la limite d'upload autoris&eacute;e. Essayez d'uploader moins de fichers en une seule fois, ou comperssez vos fichers au format ZIP.";
          
        } else {
          $errormsg = "Une erreur est survenue lors de la validation du formulaire. Veuillez essayer de nouveau. Si le probl&egrave;me persiste, verifiez "
            . "le serveur ansi que la configuration de PHP. (Verifiez que l'upload de fichier est autoris, et que upload_max_filesize a une valeur assez &eacute;lev&eacute;e). "
            . "Si vous pensez avoir trouv&eacute; un bug, envoyez nous un raport . Merci!";
        }
      }
      
/** COMMENTS ******************************************************************/
/*****************************************************************************/

    } else if ($action == 'deletecomments') {      
      if (isset($_POST['ids']) || isset($_GET['id'])) {
        if (isset($_GET['id'])) {
          $ids = array($_GET['id']);
        } else { 
          $ids = $_POST['ids'];
        }
        $total = count($ids);
        if ($total > 0) {
          $n = 0;
          $sql = "DELETE FROM ".prefix('comments')." WHERE ";
          foreach ($ids as $id) {
            $n++;
            $sql .= "id='$id' ";
            if ($n < $total) $sql .= "OR ";
          }
          query($sql);
        }
        header("Location: " . FULLWEBPATH . "/zen/admin.php?page=comments&ndeleted=$n");
        exit();
      } else {
        header("Location: " . FULLWEBPATH . "/zen/admin.php?page=comments&ndeleted=0");
        exit();
      }
      
      
    } else if ($action == 'savecomment') {
      if (!isset($_POST['id'])) {
        header("Location: " . FULLWEBPATH . "/zen/admin.php?page=comments");
        exit();
      }
      $id = $_POST['id'];
      $name = escape($_POST['name']);
      $email = escape($_POST['email']);
      $website = escape($_POST['website']);
      $date = escape($_POST['date']);
      $comment = escape($_POST['comment']);
      
      // TODO: Update date as well; no good input yet, so leaving out.
      $sql = "UPDATE ".prefix('comments')." SET name = '$name', email = '$email', website = '$website', comment = '$comment' WHERE id = $id";
      query($sql);
      
      header("Location: " . FULLWEBPATH . "/zen/admin.php?page=comments&sedit");
      exit();
      
      
/** OPTIONS ******************************************************************/
/*****************************************************************************/

    } else if ($action == 'settheme') {
      if (isset($_GET['theme'])) {
        $gallery->setCurrentTheme($_GET['theme']);
      }
    }
    
  }
  
  // Redirect to a page if it's set 
  // (NOTE: Form POST data will be resent on refresh. Use header(Location...) instead, unless there's an error message.
  if (isset($_GET['page'])) { $page = $_GET['page']; } else if (empty($page)) { $page = "home"; }
  
} /* NO Admin-only content between this and the next check. */
  
/************************************************************************************/
/** End Action Handling *************************************************************/
/************************************************************************************/

if (issetPage('edit')) {
  zenSortablesPostHandler('albumOrder', 'albumList', 'albums');
}

// Print our header
printAdminHeader();

if (issetPage('edit')) {
  zenSortablesHeader('albumList','albumOrder','div');
}
?>

</head>
<body>

<?php
// If they are not logged in, display the login form and exit
if (!zp_loggedin()) {
  
  printLoginForm();
  exit(); 
  
} else { /* Admin-only content safe from here on. */ 

  printLogoAndLinks();
?>

  <div id="main">
  
<?php printTabs(); ?>  
  
  <div id="content">
  
  
<?php /** EDIT ****************************************************************************/
      /************************************************************************************/ 
      
  if ($page == "edit") { ?>
      
      
<?php /** SINGLE ALBUM ********************************************************************/ ?>
      <?php if (isset($_GET['album'])) {
        $folder = strip($_GET['album']);
        $album = new Album($gallery, $folder);
        $images = $album->getImages();
        $totalimages = sizeof($images);
        // TODO: Perhaps we can build this from the meta array of Album? Moreover, they should be a set of constants!
        $sortby = array('Nom du fichier', 'Titre', 'Manuel' );
      ?>
        <h1>&Eacute;diter l'album</h1>
        <p>
        <?php printAdminLink("edit", "&laquo; Retour &agrave; la liste", "retour &agrave; la liste des albums");?> | 
        <?php printSortLink($album, "Classer l'album", "Classer l'album:" ." ". $album->getTitle()); ?> |
        <?php printViewLink($album, "Voir l'album", "Voir l'album:" ." ". $album->getTitle()); ?>
        </p>
        
        <?php /* Display a message if needed. Fade out and hide after 2 seconds. */ 
          if ((isset($_GET['ndeleted']) && $_GET['ndeleted'] > 0)) { ?>
          <div class="errorbox" id="message">
            <?php if (isset($_GET['ndeleted'])) { ?> <h2>Image supprim&eacute;e avec succ&egrave;s.</h2> <?php } ?>
          </div>
          <script type="text/javascript">
            Fat.fade_and_hide_element('message', 30, 1000, 2000, Fat.get_bgcolor('message'), '#FFFFFF')
          </script>
        <?php } ?>
    
        <form name="albumedit" action="?page=edit&action=save" method="post">
          <input type="hidden" name="album" value="<?php echo $album->name; ?>" />
        
          <div class="box" style="padding: 15px;">
            <h2>&Eacute;diter l'album: <em><?php echo $album->getTitle(); ?></em></h2>
            <table>
              <tr><td align="right" valign="top">Titre de l'album: </td> <td><input type="text" name="albumtitle" value="<?php echo $album->getTitle(); ?>" /></td></tr>
              <tr><td align="right" valign="top">Description de l'album: </td> <td><textarea name="albumdesc" cols="60" rows="6"><?php echo $album->getDesc(); ?></textarea></td></tr>
              <?php /* Removing date entry for now... */ 
                /* <tr><td align="right" valign="top">Date: </td> <td><input type="text" name="albumdate" value="<?php echo $album->getDateTime(); ?>" /></td></tr> */ ?>
              <tr><td align="right" valign="top">Lieu: </td> <td><input type="text" name="albumplace" value="<?php echo $album->getPlace(); ?>" /></td></tr>
              <tr><td align="right" valign="top">Image: </td> 
                <td>
                  <select id="thumbselect" class="thumbselect" name="thumb" onchange="updateThumbPreview(this)">
                    <?php foreach ($images as $image) { 
                        $filename = $image->getFileName();
                        $selected = ($filename == $album->meta['thumb']); ?>
                        <option class="thumboption" style="background-image: url(<?php echo $image->getThumb(); ?>); background-repeat: no-repeat;" 
                          value="<?php echo $filename ?>" <?php if ($selected) echo ' selected="selected"'; ?>><?php echo $image->meta['title'] ?><?php echo ($filename != $image->meta['title']) ? " ($filename)" : "" ?></option>
                    <?php } ?>
                  </select>
                  <script type="text/javascript">updateThumbPreview(document.getElementById('thumbselect'));</script>
                </td>
              </tr>
              <tr>
                <td align="right" valign="top">Classer par: </td>
                <td>
                  <select id="sortselect" name="sortby">
                  <?php foreach ($sortby as $sorttype) { ?>
                    <option value="<?php echo $sorttype ?>"<?php if ($sorttype == $album->getSortType()) echo ' selected="selected"'; ?>><?php echo $sorttype ?></option>
                  <?php } ?>
                  </select>
                </td>
              </tr>
            </table>
          </div>

          <input type="hidden" name="totalimages" value="<?php echo $totalimages; ?>" />
          
          <p><input type="submit" value="Enregistrer" /></p>
          <hr />
          
          <div class="box" style="padding: 15px;">
          <p>Cliquez sur l'image pour l'agrandir</p>
          
          <table id="edittable">
           
            <?php
            $currentimage = 0;
            foreach ($images as $image) {
            ?>
            
            <tr id=""<?php echo ($currentimage % 2 == 0) ?  "class=\"alt\"" : "" ?>>
              <td valign="top">
                <img id="thumb-<?php echo $currentimage ?>" src="<?php echo $image->getThumb();?>" alt="<?php echo $image->filename;?>" 
                  onclick="toggleBigImage('thumb-<?php echo $currentimage ?>', '<?php echo $image->getSizedImage(zp_conf('image_size')) ?>');" />
              </td>
  
              <td>
                <input type="hidden" name="<?php echo $currentimage; ?>-filename" value="<?php echo $image->filename; ?>" />
                Titre: <input type="text" size="57" name="<?php echo $currentimage; ?>-title" value="<?php echo $image->getTitle(); ?>" /><br />
                Description: <br />
                <textarea name="<?php echo $currentimage; ?>-desc" cols="60" rows="4"><?php echo $image->getDesc(); ?></textarea>
                <br /><br />
                
              </td>

              <td style="padding-left: 1em;">
                <a href="javascript: confirmDeleteImage('?page=edit&action=deleteimage&album=<?php echo $album->name; ?>&image=<?php echo $image->filename; ?>');" title="Delete the image <?php echo $image->filename; ?>"><img src="images/delete.gif" style="border: 0px;" alt="x" /></a>
              </td>

                
            </tr>
            
            <?php 
              $currentimage++;
            }
            ?>
            
          </table>
          </div>
          
          
          <p><input type="submit" value="Enregistrer" /></p>
          
          <p><a href="?page=edit" title="Retour &agrave; la liste des albums">&laquo; retour &agrave; la liste</a></p>
        </form>
        
        
        
        
        
<?php /*** MULTI-ALBUM ***************************************************************************/ ?>
        
      <?php } else if (isset($_GET['massedit'])) { 
      ?>
      <h1>Editer tous les albums</h1>
      <p><a href="?page=edit" title="Retour &agrave; la liste des albums">&laquo; Retour &agrave; la liste</a></p>
      <div class="box" style="padding: 15px;">
      
      <form name="albumedit" action="?page=edit&action=save" method="POST">
      <?php
        $albums = $gallery->getAlbums();
        
        // Two albums will probably require a scroll bar
        if (sizeof($albums) > 2) {
          echo "<p><input type=\"submit\" value=\"enregistrer\" /> &nbsp; <input type=\"reset\" value=\"annuler\" /></p>";
          echo "<hr />";
        }
        ?> 
        <input type="hidden" name="totalalbums" value="<?php echo sizeof($albums); ?>" /> <?php
        $currentalbum = 0;
        foreach ($albums as $album) { 
      ?>
        <input type="hidden" name="<?php echo $currentalbum; ?>-folder" value="<?php echo $album->name; ?>" />
        <table>
          <tr><td rowspan="4" valign="top"><a href="?page=edit&album=<?php echo $album->name; ?>" title="Editer cet album: <?php echo $album->name; ?>"><img src="<?php echo $album->getAlbumThumb(); ?>" /></a></td>
            <td align="right" valign="top">Titre de l'album </td> <td><input type="text" name="<?php echo $currentalbum; ?>-title" value="<?php echo $album->getTitle(); ?>" /></td></tr>
          <tr><td align="right" valign="top">Description: </td> <td><textarea name="<?php echo $currentalbum; ?>-desc" cols="60" rows="6"><?php echo $album->getDesc(); ?></textarea></td></tr>
          
          <?php /* Removing date entry for now... */ 
                /* <tr><td align="right" valign="top">Date: </td> <td><input type="text" name="<?php echo $currentalbum; ?>-date" value="<?php echo $album->getDateTime(); ?>" /></td></tr> */ ?>
          
          <tr><td align="right" valign="top">Place: </td> <td><input type="text" name="<?php echo $currentalbum; ?>-place" value="<?php echo $album->getPlace(); ?>" /></td></tr>
        </table>
        <hr />
        
      <?php 
          $currentalbum++;
        } 
      ?>
      
        <p><input type="submit" value="enregistrer" /> &nbsp; <input type="reset" value="annuler" /></p>
      
      </form>
        
      </div>
      
      
<?php /*** EDIT ALBUM SELECTION *********************************************************************/ ?> 
        
      <?php } else { /* Display a list of albums to edit. */ ?>
        <h1>&Eacute;diter la galerie</h1>
        
        <?php /* Display a message if needed. Fade out and hide after 2 seconds. */ 
          if ((isset($_GET['ndeleted']) && $_GET['ndeleted'] > 0) || isset($_GET['sedit'])) { ?>
          <div class="errorbox" id="message">
            <?php if (isset($_GET['ndeleted'])) { ?> <h2>Album supprim&eacute; avec succ&egrave;s.</h2> <?php } ?>
          </div>
          <script type="text/javascript">
            Fat.fade_and_hide_element('message', 30, 1000, 2000, Fat.get_bgcolor('message'), '#FFFFFF')
          </script>
        <?php } ?>
        
        <p>D&eacute;placez l'album dans l'ordre que vous d&eacute;sirez les voir s'afficher. Selectionnez un album pour &eacute;diter sa description et ses images, ou <a href="?page=edit&massedit">faire une &eacute;dition de masse</a>.</p>
        
        <table class="bordered">
          <tr>
            <th style="width: 55px; ">Miniature</th>
            <th>Nom de l'album</th>
			<th>R&eacute;pertoire de l'album</th>
            <?php /* <th>Delete</th> */ ?>
          
          </tr>
          <tr>
          <td colspan="3" style="padding: 0px 0px;">
          <div id="albumList" class="albumList">
            <?php 
            $albums = $gallery->getAlbums();
            foreach ($albums as $album) { 
            ?>
            <div id="id_<?php echo $album->getAlbumID(); ?>">
            <table cellspacing="0" width="100%">
              <tr>
                <td align="left" width="20">
                <a href="?page=edit&album=<?php echo $album->name; ?>" title="Modifier lez Param&egrave;tres de l'album: <?php echo $album->getTitle(); ?>"><img height="40" width="40" src="<?php echo $album->getAlbumThumb(); ?>" /></a>
                </td>
                <td> <a href="?page=edit&album=<?php echo $album->name; ?>" title="Modifier lez Param&egrave;tres de l'album: <?php echo $album->getTitle(); ?>"><?php echo $album->getTitle(); ?></a>
                </td>
                <td> <a href="?page=edit&album=<?php echo $album->name; ?>" title="Modifier lez Param&egrave;tres de l'album: <?php echo $album->getTitle(); ?>"><?php echo $album->name; ?></a>
                </td>

                <td width="20" align="right">
                  <a class="delete" href="javascript: confirmDeleteAlbum('?page=edit&action=deletealbum&album=<?php echo $album->name; ?>');" title="Effacer cet album <?php echo $album->name; ?>"><img src="images/delete.gif" style="border: 0px;" alt="x" /></a>
                </td>

              </tr>
            </table>
            </div>
            <?php } ?>
          </div>  
          </td>
          </tr>
        </table>
        
        <?php
        if (isset($_GET['saved'])) {
          echo "<p>Ordre de la galerie sauvegard&eacute;.</p>";
        }
        ?>
        
        <div>
      <?php
        zenSortablesSaveButton("?page=edit&saved", "Sauvegarder l'ordre"); 
      ?>
      </div>

      <?php } ?>
      
      
      
      
      
      
<?php /**** UPLOAD ************************************************************************/ 
      /************************************************************************************/ ?> 

    <?php } else if ($page == "upload") { ?>
      
      <script type="text/javascript">
        window.totalinputs = 5;
        // Array of album names for javascript functions.
        var albumArray = new Array ( <?php 
          $first = true;
          $albums = $gallery->getAlbums();
          foreach ($albums as $album) {
            echo ($first ? "" : ", ") . "'" . addslashes($album->getFolder()) . "'";
            $first = false;
          }
        ?> );
      
      </script>
      
      <h1>T&eacute;l&eacute;chargement de photos</h1>
      <p>Formats d'images support&eacute;s: <acronym title="Joint Picture Expert's Group">JPEG</acronym>,
      <acronym title="Portable Network Graphics">PNG</acronym> et <acronym title="Graphics Interchange Format">GIF</acronym>.
	  Vous pouvez t&eacute;l&eacute;charger un fichier  <strong>ZIP</strong> contenant un de ces formats.</p>
	  <p><em>Note:</em> Quand vous t&eacute;l&eacute;chargez un ZIP, <strong>toutes</strong> les images de l'archive sont ajout&eacute;es automatiquement &agrave; l'album.</p>
      <p>La taille maximum d'un fichier est <strong><?php echo ini_get('upload_max_filesize'); ?>B</strong>. N'oubliez pas, vous pouvez envoyer vos photos via  <acronym title="File Transfer Protocol">FTP</acronym>!</p>
      
      <?php if (isset($error) && $error) { ?>
        <div class="errorbox">
          <h2>Il y a eu un probl&egrave;me...</h2>
          <?php echo (empty($errormsg) ? "Erreur lors de l'envoi du fichier. Veuillez recommencer." : $errormsg); ?>
        </div>
      <?php } ?>
      
      <form name="uploadform" enctype="multipart/form-data" action="?action=upload" method="POST">
        <input type="hidden" name="processed" value="1" />
        

        
        <div id="albumselect">
          Envoyer vers: 
          <select id="" name="albumselect" onChange="albumSwitch(this)">
            <option value="" selected="true">un nouvel album +</option>
          <?php 
            $albums = $gallery->getAlbums(); 
            foreach ($albums as $album) { 
           ?>
            <option value="<?php echo $album->getFolder();?>"><?php echo $album->getTitle();?></option>
          <?php } ?>
          </select>
            Dans le r&eacute;pertoire: 
            <div style="position: relative; display: inline;">
              <div id="foldererror" style="display: none; color: #D66; position: absolute; z-index: 100; top: 23px; left: 185px;">Ce nom est d&eacute;ja utilis&eacute;.</div>
              <input id="folderdisplay" size="18" type="text" name="folderdisplay" disabled="true" onkeyup="validateFolder(this);"/> 
            </div>
          <div id="albumtext" style="margin-top: 5px;"> 
            Nom d'album: 
              <input id="albumtitle" size="22" type="text" name="albumtitle" value="" onKeyUp="updateFolder(this, 'folderdisplay', 'autogen');" /> 
            <label><input type="checkbox" name="autogenfolder" id="autogen" checked="true" onClick="toggleAutogen('folderdisplay', 'albumtitle', this);" /> G&eacute;n&eacute;ration automatique du dossier</label>
            <input type="hidden" name="folder" value="" />
          </div>
          
        </div>
        
        <hr />
        
        <!-- This first one is the template that others are copied from -->
        <div class="fileuploadbox" id="filetemplate">
          <input type="file" size="40" name="files[]" />
        </div>
        <div class="fileuploadbox">
          <input type="file" size="40" name="files[]" />
        </div>
        <div class="fileuploadbox">
          <input type="file" size="40" name="files[]" />
        </div>
        <div class="fileuploadbox">
          <input type="file" size="40" name="files[]" />
        </div>
        <div class="fileuploadbox">
          <input type="file" size="40" name="files[]" />
        </div>

        <div id="place" style="display: none;"></div><!-- New boxes get inserted before this -->
        
        <p><a href="javascript:addUploadBoxes('place','filetemplate',5)" title="ne r&eacute;actualise pas !">+ Ajouter des zones de t&eacute;l&eacute;chargement</a> <small>(ne r&eacute;actualise pas la page, verifiez la taille d'upload Max!)</small></p>
        
        
        <p><input type="submit" value="Envoyer" onclick="this.form.folder.value = this.form.folderdisplay.value;" class="button" /></p>
        
      </form>
      
      
      
      
      
      
<?php /*** COMMENTS ***********************************************************************/ 
      /************************************************************************************/ ?> 
      
    <?php } else if ($page == "comments") { 
      // Set up some view option variables.
      if (isset($_GET['n'])) $pagenum = max(intval($_GET['n']), 1); else $pagenum = 1;
      if (isset($_GET['fulltext'])) $fulltext = true; else $fulltext = false;
      if (isset($_GET['viewall'])) $viewall = true; else $viewall = false;

      $comments = query_full_array("SELECT c.id, i.title, i.filename, a.folder, a.title AS albumtitle, c.name, c.website,"
        . " (c.date + 0) AS date, c.comment, c.email FROM ".prefix('comments')." AS c, ".prefix('images')." AS i, ".prefix('albums')." AS a "
        . " WHERE c.imageid = i.id AND i.albumid = a.id ORDER BY c.id DESC " . ($viewall ? "" : "LIMIT 20") );
      
    ?>
      <h1>Commentaires</h1>
      
      <?php /* Display a message if needed. Fade out and hide after 2 seconds. */ 
        if ((isset($_GET['ndeleted']) && $_GET['ndeleted'] > 0) || isset($_GET['sedit'])) { ?>
        <div class="errorbox" id="message">
          <?php if (isset($_GET['ndeleted'])) { ?> <h2><?php echo $_GET['ndeleted'] ?> Commentaire effac&eacute; avec succ&egrave;s.</h2> <?php } ?>
          <?php if (isset($_GET['sedit'])) { ?> <h2>Commentaire enregistr&eacute; avec succ&egrave;s.</h2> <?php } ?>
        </div>
        <script type="text/javascript">
          Fat.fade_and_hide_element('message', 30, 1000, 2000, Fat.get_bgcolor('message'), '#FFFFFF')
        </script>
      <?php } ?>
	  
	  <p>Vous pouvez &eacute;diter ou effacer les commentaires.</p>
    <?php if($viewall) { ?>
      <p>Montrer <strong>tous</strong> les commentaires. <a href="?page=comments<?php echo ($fulltext ? "&fulltext":""); ?>"><strong>Voir seulement 20 commentaires.</strong></a></p>
    <?php } else { ?>
      <p>Montrer les <strong>20</strong> derniers commentaires. <a href="?page=comments&viewall<?php echo ($fulltext ? "&fulltext":""); ?>"><strong>Afficher tout</strong></a></p>
    <?php } ?>
      <form name="comments" action="?page=comments&action=deletecomments" method="post" onsubmit="return confirm('Etes vous s&ucirc;r de vouloir effacer le commentaire?');">
      <table class="bordered">
        <tr>
          <th>&nbsp;</th>
          <th>Image</th>
          <th>Auteur/Lien</th>
          <th>Date/Heure</th>
          <th>Comment <?php if(!$fulltext) { ?>(<a href="?page=comments&fulltext<?php echo $viewall ? "&viewall":"" ?>">Voir en entier</a>)
            <?php } else { ?>(<a href="?page=comments<?php echo $viewall ? "&viewall":"" ?>">Vue tronqu&eacute;e</a>)<?php } ?></th>
          <th>E-Mail</th>
          <th colspan="2">&nbsp;</th>
        </tr>
        
  <?php
    foreach ($comments as $comment) {
      $id = $comment['id'];
      $author = $comment['name'];
      $email = $comment['email'];
      $album = $comment['folder'];
      $image = $comment['filename'];
      $date  = myts_date("j/m/Y, G:i ", $comment['date']);
	  /* $date  = $comment['date']; */
      $albumtitle = $comment['albumtitle'];
      if ($comment['title'] == "") $title = $image; else $title = $comment['title'];
      $website = $comment['website'];
      $shortcomment = truncate_string($comment['comment'], 123);
      $fullcomment = $comment['comment'];
  ?>

          <tr>
            <td><input type="checkbox" name="ids[]" value="<?php echo $id ?>" onclick="triggerAllBox(this.form, 'ids[]', this.form.allbox);" /></td>
            <td style="font-size: 7pt;"><?php echo "<a href=\"" . (zp_conf("mod_rewrite") ? "../$album/$image" : "../index.php?album="
              .urlencode($album)."&image=".urlencode($image)) . "\">$albumtitle / $title</a>"; ?></td>
            <td><?php echo $website ? "<a href=\"$website\">$author</a>" : $author ?></td>
            <td style="font-size: 7pt;"><?php echo $date ?></td>
            <td><?php echo ($fulltext) ? $fullcomment : $shortcomment ?></td>
            <td><a href="mailto:<?php echo $email ?>?body=<?php echo commentReply($fullcomment, $author, $image, $albumtitle); ?>">R&eacute;pondre</a></td>
            <td><a href="?page=editcomment&id=<?php echo $id ?>" title="Editer ce commentaire.">Editer</a></td>
            <td><a href="javascript: if(confirm('Etes vous s&ucirc;r de vouloir effacer le commentaire?')) { window.location='?page=comments&action=deletecomments&id=<?php echo $id ?>'; }" title="Effacer ce commentaire." style="color: #c33;">Effacer</a></td>
          </tr>
  <?php } ?>
		<tr>
			<td colspan="8" class="subhead"><label><input type="checkbox" name="allbox" onclick="checkAll(this.form, 'ids[]', this.checked);" /> Tout s&eacute;lectionner</label></td>
		</tr>

      
      </table>
      
      <input type="submit" value="Effacer la s&eacute;lection" class="button" />
      </select>
      
      </form>
      
<?php /*** EDIT COMMENT *******************************************************************/ 
      /************************************************************************************/ ?> 
      
    <?php } else if ($page == "editcomment") { ?>
      <h1>&eacute;diter un commentaire</h1>
      <?php
      if (isset($_GET['id'])) $id = $_GET['id'];
      else echo "<h2>No comment specified. <a href=\"?page=comments\">&laquo Back</a></h2>";
      
      $commentarr = query_single_row("SELECT name, website, date, comment, email FROM ".prefix('comments')." WHERE id = $id LIMIT 1");
      extract($commentarr);
      ?>
      
      <form action="?page=comments&action=savecomment" method="post">
        <input type="hidden" name="id" value="<?php echo $id ?>" />
		<?php   $day = substr("$date",8,2);
		 		$month = substr("$date",5,2);
				$year= substr("$date",0,4);
				$hour = substr("$date",11,2);
                $min = substr("$date",14,2); ?>    
        <table>
        
          <tr><td width="100">Auteur:</td>    <td><input type="text" size="40" name="name" value="<?php echo $name ?>" /></td></tr>
          <tr><td>Web Site:</td>              <td><input type="text" size="40" name="website" value="<?php echo $website ?>" /></td></tr>
          <tr><td>E-Mail:</td>                <td><input type="text" size="40" name="email" value="<?php echo $email  ?>" /></td></tr>
          <tr><td>Date/Heure:</td>             <td><input type="text" size="18" name="date" value="<?php print "$day/$month/$year, $hour:$min" ?>" /></td></tr>
          <tr><td valign="top">Commentaire:</td>  <td><textarea rows="8" cols="60" name="comment" /><?php echo $comment ?></textarea></td></tr>
          <tr><td></td>                       <td><input type="submit" value="Enregistrer" /> <input type="button" value="Annuler" onclick="window.location = '?page=comments';"/>

        </table>
      </form>
      
      
      
<?php /*** OPTIONS (Theme Switcher) *******************************************************/ 
      /************************************************************************************/ ?> 
      
    <?php } else if ($page == "options") { ?>
      
      <h1>Options g&eacute;n&eacute;rales</h1>
      
      <h2>Th&egrave;mes</h2>
	  <p>Th&egrave;mes vous permet de changer le look de la galerie .
    <br>Tous les th&egrave;mes disponibles sont situ&eacute;s dans le dossier <code>zenphoto/themes</code>.
    <br>Vous pouvez trouver d'autres th&egrave;mes &agrave; cette adresse
    <a href="http://www.zenphoto.org">ZenPhoto.org</a>.</p>
      <table class="bordered">
        <?php 
        $themes = $gallery->getThemes();
        $current_theme = $gallery->getCurrentTheme();
        $current_theme_style = "background-color: #ECF1F2;";
        foreach($themes as $theme => $themeinfo):
          $style = ($theme == $current_theme) ? " style=\"$current_theme_style\"" : "";
          $themedir = SERVERPATH . "/themes/$theme";
          $themeweb = WEBPATH . "/themes/$theme";
        ?>
        <tr>
          <td style="margin: 0px; padding: 0px;">
            <?php 
              if (file_exists("$themedir/theme.png")) $themeimage = "$themeweb/theme.png";
              else if (file_exists("$themedir/theme.gif")) $themeimage = "$themeweb/theme.gif";
              else if (file_exists("$themedir/theme.jpg")) $themeimage = "$themeweb/theme.jpg";
              else $themeimage = false;
              if ($themeimage) { ?>
                <img height="150" width="150" src="<?php echo $themeimage ?>" alt="Clich&eacute; du th&egrave;me" />
                
            <?php } ?>
          </td>
          <td<?php echo $style; ?>>
            <strong><?php echo $themeinfo['name'] ?></strong><br />
            <?php echo $themeinfo['author'] ?><br />
            Version <?php echo $themeinfo['version'] ?>, <?php echo $themeinfo['date'] ?><br />
            <?php echo $themeinfo['desc'] ?>
          </td>
          <td width="100"<?php echo $style; ?>>
            <?php if (!($theme == $current_theme)) { ?>
              <a href="?page=options&action=settheme&theme=<?php echo $theme; ?>" title="Selectionnez ce th&egrave;me">Utiliser ce th&egrave;me</a>
            <?php } else { echo "<strong>Theme actuel</strong>"; } ?>
          </td>
        </tr>
        
        <?php endforeach; ?>
      </table>
      
      
<?php /*** HOME ***************************************************************************/ 
      /************************************************************************************/ ?> 
      
    <?php } else { $page = "home"; ?>
      <h1>Administration de zenphoto</h1>
      
      <ul id="home-actions">
        <li><a href="?page=upload"> &raquo; <strong>T&eacute;l&eacute;charger</strong> des photos.</a></li>
        <li><a href="?page=edit"> &raquo; <strong>Editer</strong> les titres, descriptions, et autres infos.</a></li>
        <li><a href="?page=comments"> &raquo; Editer ou effacer des <strong>commentaires</strong>.</a></li>
        <li><a href="../"> &raquo; Parcourir <strong>la galerie</strong> pour une &eacute;dition &agrave; la vol&eacute;e.</a></li>
      </ul>
      
      <hr />
      
      <div class="box" id="overview-comments">
        <h2>10 derniers commentaires</h2>
        <ul>
        <?php
          $comments = query_full_array("SELECT c.id, i.title, i.filename, a.folder, a.title AS albumtitle, c.name, c.website,"
            . " c.date, c.comment FROM ".prefix('comments')." AS c, ".prefix('images')." AS i, ".prefix('albums')." AS a "
            . " WHERE c.imageid = i.id AND i.albumid = a.id ORDER BY c.id DESC LIMIT 10");
          foreach ($comments as $comment) {
            $author = $comment['name'];
            $album = $comment['folder'];
            $image = $comment['filename'];
            $albumtitle = $comment['albumtitle'];
            if ($comment['title'] == "") $title = $image; else $title = $comment['title'];
            $website = $comment['website'];
            $comment = truncate_string($comment['comment'], 123);
            echo "<li><div class=\"commentmeta\">$author commented on <a href=\""
              . (zp_conf("mod_rewrite") ? "../$album/$image" : "../index.php?album=".urlencode($album)."&image=".urlencode($image))
              . "\">$albumtitle / $title</a>:</div><div class=\"commentbody\">$comment</div></li>";
          }
        ?>
        </ul>
      </div>
      
      
		<div class="box" id="overview-stats">
			<h2 class="boxtitle">Statistiques</h2>
			<p>Il y a <strong><?php echo $gallery->getNumImages(); ?></strong> images sur un total de <strong><?php echo $gallery->getNumAlbums(); ?></strong> albums [<strong><a href="?prune=true">rafra&icirc;chir</a></strong>].</p>
			<p><strong><?php echo $gallery->getNumComments(); ?></strong> commentaires ont &eacute;t&eacute;s post&eacute;s.</p>
			
			<?php
			// These disk operations are too slow...
			/*
      <p>Total size of album images: <strong><?php echo size_readable($gallery->sizeOfImages(), "MB"); ?></strong></p>
			<p>Total size of image cache: <strong><?php echo size_readable($gallery->sizeOfCache(), "MB"); ?></strong></p>
      */
			?>
		</div>
      
      
      <div class="box" id="overview-suggest">
        <h2 class="boxtitle">Suggestions</h2>
          <h3>Ajouter un titre &agrave;...</h3>
          
          <h3>Ajouter une description &agrave;...</h3>
          
      </div>
	  
	  <p style="clear: both; "></p>
      
    <?php } ?>
    
    </div>
    
<?php printAdminFooter(); ?>

  <?php zenSortablesFooter(); ?>
  
<?php } /* No admin-only content allowed after this bracket! */ ?>
    
</body>
</html>
