<?php

define('OFFSET_PATH', true);
require_once("sortable.php");

// Insert the POST operation handler
zenSortablesPostHandler('imageOrder', 'images', 'images');
// Print the admin header
printAdminHeader();
// Print the sortable stuff
zenSortablesHeader('images','imageOrder','img',"overlap:'horizontal',constraint:false");

?>

</head>
<body>

<?php
// If they are not logged in, display the login form and exit
if (!zp_loggedin()) {   

  printLoginForm();
  exit();

} else {
  
  // Create our gallery
  $gallery = new Gallery();
  
  // Create our album
  // TODO: We could be a bit more defensive here when parsing the incoming args
  if (!isset($_GET['album'])) {
    die("Aucun album &agrave; classer.");
  }
  else if (isset($_GET['album'])) {
    $folder = strip($_GET['album']);
    $album = new Album($gallery, $folder);
    $images = $album->getImages();
  
    // Layout the page
    printLogoAndLinks();
?>
  
<div id="main">
  
  <?php printTabs(); ?>
  
    
  <div id="content">
    
    <h1>Classement Album: <?php echo $album->getTitle(); ?></h1>
    <p><?php printAdminLink("edit", "&laquo; retour &agrave; la liste", "Retour &agrave; la liste des albums");?> | 
       <?php printAdminLink("edit&album=". urlencode( ($album->getFolder()) ), "Editer l'album", "Editer l'album"); ?> |
       <?php printViewLink($album, "Voir Album", "Voir Album"); ?>
    </p>
    
    <div class="box" style="padding: 15px;">
    
    <p>Classer les images en les glissant avec la souris...</p>
    
      <div id="images">
      <?php foreach ($images as $image) { 
        printImageThumb($image);
      }
      ?>
      
      </div>
  
      <br>
      <?php
        if (isset($_GET['saved'])) {
          echo "<p>Ordre des albums sauvegard&eacute;.";

          if ($album->getSortType() != "Manuel") {
            $album->setSortType("Manuel");
            echo " Classement des albums d&eacute;fini en Manuel.</p>";
          }
          echo "</p>";
        }
      ?>
      <div>
      <?php
        zenSortablesSaveButton("?page=edit&album=". $album->getFolder() . "&saved"); 
      ?>
      </div>
      
      </div>
      
    </div>
    
    <?php printAdminFooter(); ?>
    
  </div>
  
  <?php zenSortablesFooter(); ?>
  
</body>
</html>

<?php
  }
}
?>