<?php
  define('OFFSET_PATH', true);
  if (file_exists("zp-config.php")) { require_once("admin-functions.php"); } 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>zenphoto installation</title>
<style type="text/css">
  body { 
    margin: 20px 20% 10px;
    padding: 20px;
    background-color: #f3f3f3; 
    font-family: Arial, Helvetica, Verdana, sans-serif;
    font-size: 10pt;
  }
  h1, h2, h3, h4, h5 { padding: 0px; margin: 0px; margin-bottom: .15em; }

  A:link, A:visited {
    text-decoration: none;
    color: #36C;
  }
  A:hover, A:active {
    text-decoration: underline;
    color: #F60;
    background-color: #FFFCF4;
  }
  LI { margin-bottom: 1em; }

</style>
</head>
<body>
  <h1>zenphoto installation</h1>
<?php

if (file_exists("zp-config.php")) {
  if (!zp_loggedin()) {  /* Display the login form and exit. */
  
    // Display the login form and exit. 
    printLoginForm("/zen/setup.php");
    exit();

  } else {
    // Logged in. Do the setup.
    $tbl_albums = prefix('albums');
    $tbl_comments = prefix('comments');
    $tbl_images = prefix('images');
  
    $db_schema = array();
    $db_schema[] = "CREATE TABLE IF NOT EXISTS `$tbl_albums` (
      `id` int(11) NOT NULL auto_increment,
      `folder` varchar(255) NOT NULL default '',
      `title` varchar(255) NOT NULL default '',
      `desc` text,
      `date` datetime default NULL,
      `place` varchar(255) default NULL,
      `show` int(1) NOT NULL default '1',
      `thumb` varchar(255) default NULL,
      `sort_type` varchar(20) default NULL,
      `sort_order` int(11) default NULL,
      PRIMARY KEY  (`id`),
      KEY `folder` (`folder`)
      );";
  
    $db_schema[] = "CREATE TABLE IF NOT EXISTS `$tbl_comments` (
      `id` int(11) NOT NULL auto_increment,
      `imageid` int(11) NOT NULL default '0',
      `name` varchar(255) NOT NULL default '',
      `email` varchar(255) NOT NULL default '',
      `website` varchar(255) default NULL,
      `date` datetime default NULL,
      `comment` text NOT NULL,
      `inmoderation` int(1) NOT NULL default '0',
      PRIMARY KEY  (`id`),
      KEY `imageid` (`imageid`)
      );";
  
    $db_schema[] = "CREATE TABLE IF NOT EXISTS `$tbl_images` (
      `id` int(11) NOT NULL auto_increment,
      `albumid` int(11) NOT NULL default '0',
      `filename` varchar(255) NOT NULL default '',
      `title` varchar(255) default NULL,
      `desc` text,
      `commentson` int(1) NOT NULL default '1',
      `show` int(1) NOT NULL default '1',
      `sort_order` int(11) default NULL,
      `height` int(10) unsigned default NULL,
      `width` int(10) unsigned default NULL,
      PRIMARY KEY  (`id`),
      KEY `filename` (`filename`,`albumid`),
      KEY `albumid` (`albumid`)
      );";
  
    $db_schema[] = "ALTER TABLE `$tbl_comments`
      ADD CONSTRAINT `comments_ibfk_1` FOREIGN KEY (`imageid`) REFERENCES `$tbl_images` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;";
  
    $db_schema[] = "ALTER TABLE `$tbl_images`
      ADD CONSTRAINT `images_ibfk_1` FOREIGN KEY (`albumid`) REFERENCES `$tbl_albums` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;";
  
  
    if (isset($_GET['create']) && db_connect()) {
      echo "<h3>Cr&eacute;ation des tables...</h3>";
      foreach($db_schema as $sql) {
        query($sql);
      }
      echo "<h3>Fait!</h3>";
      echo "<p>Vous pouvez maintenant <a href=\"../\">Voir votre galerie photo</a>, ou <a href=\"admin.php\">l'administrer.</a></p>";
    
    } else if (db_connect()) {
      echo "<h3>base de donn&eacute;es connect&eacute;e</h3>";
      echo "<p>Tout est pr&ecirc;t pour cr&eacute;er les tables suivantes: <code>$tbl_albums</code>, <code>$tbl_images</code>, et <code>$tbl_comments</code>.</p>";
      echo "<p><a href=\"?create\" title=\"Cr&eacute;ation des tables.\" style=\"font-size: 15pt; font-weight: bold;\">Go!</a></p>";
    } else {
      echo "<h3>base de donn&eacute;es non connect&eacute;e</h3>";
      echo "<p>V&eacute;rifiez le fichier zp-config.php et assurez vous que vous avez correctement renseign&eacute;: le nom d'utilisateur, le mot de passe, le nom de machine, et la base de donn&eacute;es. Si vous n'avez pas encore
        cr&eacute;er la base de donn&eacute;es, c'est sans doute le moment.";
    }
  }
} else {
  // The config file hasn't been created yet. Show the steps.
  ?>

  <ul>
    <li><strong>Etape 1: Editer le fichier <code>zp-config.php.example</code> et renommer le en <code>zp-config.php</code></strong> . Ce fichier se trouve dans le r&eacute;pertoire "zen".</li>
    <li><strong>Etape 2: Editer le fichier .htaccess dans le r&eacute;peroire racine de zenphoto</strong> module mod_rewrite apache 
      est activ&eacute; (note: ce n'est pas le cas chez free). Modifier uniquement la ligne indiqu&eacute;epour l'activer.</li>
    <li><strong>Etape 3: Changeer les permissions sur les r&eacute;peroires 'albums' et 'cache' pour donner les droits complets</strong> 
      (<code>chmod 777 cache</code>) (ce n'est pas n&eacute;cessaire sur les serveurs Windows)
    <li><strong>Etape 4: Revenir &agrave; cette page (ou rechargez la si vous &ecirc;tes pr&ecirc;t) et cliquer "Go!"</strong>
  </ul>
 
  <?php } ?>
</body>
</html>