<?php
  define('OFFSET_PATH', true);
  if (file_exists("zp-config.php")) { require_once("admin-functions.php"); }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>Mise &agrave; jour zenphoto</title>
<style type="text/css">
  body { 
    margin: 20px 20% 10px;
    padding: 20px;
    background-color: #f3f3f3; 
    font-family: Arial, Helvetica, Verdana, sans-serif;
    font-size: 10pt;
  }
  h1, h2, h3, h4, h5 { padding: 0px; margin: 0px; margin-bottom: .15em; }

  A:link, A:visited {
    text-decoration: none;
    color: #36C;
  }
  A:hover, A:active {
    text-decoration: underline;
    color: #F60;
    background-color: #FFFCF4;
  }
  LI { margin-bottom: 1em; }

</style>
</head>
<body>
  <h1>Mise &agrave; jour zenphoto</h1>
<?php

if (file_exists("zp-config.php")) {
  
  // Are we logged in?
  if (!zp_loggedin()) {
  
  // Display the login form and exit. 
  printLoginForm("/zen/upgrade.php");
  exit();
  
  } else {
    // Logged in. Do the setup.
    $tbl_albums   = prefix('albums');
    $tbl_comments = prefix('comments');
    $tbl_images   = prefix('images');
  
    $sql_statements = array();
    
    // v. 1.0.0b
    $sql_statements[] = "ALTER TABLE `$tbl_albums` ADD COLUMN `sort_type` varchar(20);";
    $sql_statements[] = "ALTER TABLE `$tbl_albums` ADD COLUMN `sort_order` int(11);";
    $sql_statements[] = "ALTER TABLE `$tbl_images` ADD COLUMN `sort_order` int(11);";
    
    // v. 1.0.3b
    $sql_statements[] = "ALTER TABLE `$tbl_images` ADD COLUMN `height` INT UNSIGNED;";
    $sql_statements[] = "ALTER TABLE `$tbl_images` ADD COLUMN `width` INT UNSIGNED;";
    
    if (isset($_GET['upgrade']) && db_connect()) {
      echo "<h3>Upgrading tables...</h3>";
      foreach($sql_statements as $sql) {
        // Bypass the error-handling in query()... we don't want it to stop.
        // This is probably bad behavior, so maybe do some checks?
        @mysql_query($sql);
      }
      echo "<h3>Fait!</h3>";
      echo "<p>Vous pouvez maintenant <a href=\"../\">Voir votre galerie photo</a>, ou <a href=\"admin.php\">l'administrer.</a></p>";
    
    } else if (db_connect()) {
      echo "<h3>base de donn&eacute;es connect&eacute;e</h3>";
      echo "<p>Tout est pr&ecirc;t pour mettre &agrave; jour les tables suivantes: <code>$tbl_albums</code> et <code>$tbl_images</code>.</p>";
      echo "<p><strong>Il est prudent de faire une sauvegarde auparavant!</strong></p>";
      echo "<p><a href=\"?upgrade\" title=\"Mettre &agrave; jour les tables.\" style=\"font-size: 15pt; font-weight: bold;\">Go!</a></p>";
    } else {
      echo "<h3>base de donn&eacute;es non connect&eacute;e</h3>";
      echo "<p>V&eacute;rifiez le fichier zp-config.php et assurez vous que vous avez correctement renseign&eacute;: le nom d'utilisateur, le mot de passe, le nom de machine, et la base de donn&eacute;es. Si vous n'avez pas encore
        cr&eacute;er la base de donn&eacute;es, c'est sans doute le moment.";

    }
  } 
  
} else {
  // The config file hasn't been created yet. Probably still need to setup.
  ?>
  <ul>
    <li><strong>Vous n'avez pas de fichier zp-config.php</strong>. Vous devez probablement lancer <a href="setup.php" title="Setup">setup</a> d'abord. </li>
  </ul>
  
<?php } ?>
</body>
</html>